Page MenuHomePhabricator

[PowerPC] Expand v1i128 smin
ClosedPublic

Authored by RolandF on Jul 18 2019, 4:25 PM.

Details

Summary

Fix a regression from D60160 where the cost model change enabled vector code to be generated with a v1i128 smin. There isn't an instruction for that but it was marked legal in PPCISelLowering.cpp.

Diff Detail

Repository
rL LLVM

Event Timeline

RolandF created this revision.Jul 18 2019, 4:25 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 18 2019, 4:25 PM
jsji added a reviewer: Restricted Project.Aug 22 2019, 6:47 AM
jsji accepted this revision as: jsji.Aug 22 2019, 12:29 PM

LGTM with minor comments regarding testcase. Thanks.

llvm/test/CodeGen/PowerPC/vec-min-max.ll
241 ↗(On Diff #210701)

This file was updated by script, so it is better to generate this using script as well.

This revision is now accepted and ready to land.Aug 22 2019, 12:29 PM
Closed by commit rL369797: [PowerPC] Expand v1i128 smin (authored by froese, committed by ). · Explain WhyAug 23 2019, 12:04 PM
This revision was automatically updated to reflect the committed changes.